Get acceptance info of terms and conditions

GET /api/v1/cloud-connected/organizations/{organization_id}/terms-and-conditions

Get terms and conditions acceptance information for an organization.

Path parameters

  • organization_id string Required

    The ID of the organization

Responses

  • 200 application/json

    The requested acceptance of terms and conditions

    Hide response attribute Show response attribute object
    • accepted object

      details about accepted terms and conditions for an organization. Only present if the terms and conditions were accepted.

      Hide accepted attributes Show accepted attributes object
      • accepted_at string(date-time) Required

        Date and time when the terms and conditions for an organization were accepted.

      • accepted_by string Required

        ID of the user.

  • 401 application/json

    Unauthorized

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      An error response returned by the API.

      • message string Required

        A human-readable message of the error.

      • code string Required

        An identifier for this type of error.

  • 403 application/json

    Forbidden

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      An error response returned by the API.

      • message string Required

        A human-readable message of the error.

      • code string Required

        An identifier for this type of error.

GET /api/v1/cloud-connected/organizations/{organization_id}/terms-and-conditions
curl \
 --request GET 'https://api.elastic-cloud.com/api/v1/cloud-connected/organizations/198583657190/terms-and-conditions' \
 --header "Authorization: $API_KEY"
Response examples (200)
{
  "accepted": {
    "accepted_at": "2026-05-04T09:42:00Z",
    "accepted_by": "1014289666002276"
  }
}
Response examples (401)
{
  "errors": [
    {
      "message": "Explicative error message",
      "code": "code.error"
    }
  ]
}
Response examples (403)
{
  "errors": [
    {
      "message": "Explicative error message",
      "code": "code.error"
    }
  ]
}